import Vue from 'vue';
import VueRouter from 'vue-router';

Vue.use(VueRouter);

import Index from "./pages/Index";
import Tos from "./pages/Tos";
import Policy from "./pages/Policy";
import Dice from "./pages/Dice";
import Mines from "./pages/Mines";
import Bubbles from "./pages/Bubbles";
import Jackpot from "./pages/Jackpot";
import Contact from "./pages/Contact";
import Faq from "./pages/Faq";
import Deposit from "./pages/Deposit";
import Withdraw from "./pages/Withdraw";
import Bonus from "./pages/Bonus";
import Referral from "./pages/Referral";
import Slots from "./pages/Slots/Slots";
import SlotsGame from "./pages/Slots/Game";
import Banlist from "./pages/Banlist";
import Settings from "./pages/Settings";

export default new VueRouter({
    mode: 'history',
    routes: [
        {
            path: '/',
            name: 'index',
            component: Index
        },
        {
            path: "/dice",
            name: "dice",
            component: Dice,
        },
        {
            path: "/mines",
            name: "mines",
            component: Mines,
        },
        {
            path: "/bubbles",
            name: "bubbles",
            component: Bubbles,
        },
        {
            path: "/slots",
            name: "slots",
            component: Slots
        },
        {
            path: "/jackpot",
            name: "jackpot",
            component: Jackpot,
        },
        {
            path: "/slots/game/:gameId",
            name: "slotsGame",
            component: SlotsGame
        },
        {
            path: "/tos",
            name: "tos",
            component: Tos,
        },
        {
            path: "/policy",
            name: "policy",
            component: Policy,
        },
        {
            path: "/contacts",
            name: "contact",
            component: Contact,
        },
        {
            path: "/faq",
            name: "faq",
            component: Faq,
        },
        {
            path: "/referral",
            name: "referral",
            component: Referral,
        },
        {
            path: "/account/deposit",
            name: "deposit",
            component: Deposit,
        },
        {
            path: "/account/withdraw",
            name: "withdraw",
            component: Withdraw,
        },
        {
            path: "/account/bonus",
            name: "bonus",
            component: Bonus,
        },
        {
            path: "/banlist",
            name: "banlist",
            component: Banlist,
        },
        {
            path: "/settings",
            name: "settings",
            component: Settings,
        },
    ],
    scrollBehavior (to, from, savedPosition) {
        return { x: 0, y: 0 }
    }
});
